Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.aspose.barcode.jr
Class BarCodeCompiler

    java.lang.Object
      com.aspose.barcode.jr.BarCodeCompiler

All Implemented Interfaces:
  net.sf.jasperreports.engine.component.ComponentCompiler

    public final class BarCodeCompiler

extends java.lang.Object
implements net.sf.jasperreports.engine.component.ComponentCompiler

Responsible with handling a componet during report compile.

Constructor Summary
`BarCodeCompiler()`

Method Summary
`void` | `collectExpressions(net.sf.jasperreports.engine.component.Component component, net.sf.jasperreports.engine.JRExpressionCollector collector)` Collects report expressions from a component.
`BarCodeProviders` | `getProviders()`
`void` | `setProviders(BarCodeProviders providers)`
`net.sf.jasperreports.engine.component.Component` | `toCompiledComponent(net.sf.jasperreports.engine.component.Component component, net.sf.jasperreports.engine.base.JRBaseObjectFactory baseFactory)` Provides a "compiled" component instance that will be included in the compiled report.
`void` | `verify(net.sf.jasperreports.engine.component.Component component, net.sf.jasperreports.engine.design.JRVerifier verifier)` Logically verifies a component.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BarCodeCompiler

    public BarCodeCompiler()

Method Detail

### collectExpressions

    public void collectExpressions(net.sf.jasperreports.engine.component.Component component,
                                   net.sf.jasperreports.engine.JRExpressionCollector collector)

  Collects report expressions from a component.
  Parameters:
  component - the component
  collector - the expression collector

  Specified by:
    `collectExpressions` in interface `net.sf.jasperreports.engine.component.ComponentCompiler`

### toCompiledComponent

    public net.sf.jasperreports.engine.component.Component toCompiledComponent(net.sf.jasperreports.engine.component.Component component,
                                                                               net.sf.jasperreports.engine.base.JRBaseObjectFactory baseFactory)

  Provides a "compiled" component instance that will be included in the compiled report.
  Parameters:
  component - the component from the design report
  baseFactory - the factory of base/compiled report elements
  Returns:
  a component instance that is to be included in the compiled report

  Specified by:
    `toCompiledComponent` in interface `net.sf.jasperreports.engine.component.ComponentCompiler`

### verify

    public void verify(net.sf.jasperreports.engine.component.Component component,
                       net.sf.jasperreports.engine.design.JRVerifier verifier)

  Logically verifies a component.
  Parameters:
  component - the component
  verifier - the verifier object, which can be used to raise validation errors

  Specified by:
    `verify` in interface `net.sf.jasperreports.engine.component.ComponentCompiler`

### getProviders

    public BarCodeProviders getProviders()

### setProviders

    public void setProviders(BarCodeProviders providers)

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD